<%@ page language="C#" autoeventwireup="true" inherits="admin_iframe_Url, DianCMS" enableviewstatemac="false" enableEventValidation="false" viewStateEncryptionMode="Never" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link id="CssName" rel="stylesheet" type="text/css" runat="server" />
    <script src="../../js/Common.js" type="text/javascript"></script>
    <script src="../../js/jquery-1.4.2.min.js" type="text/javascript"></script>
    <base target="_self" />
    <script type="text/javascript">
        var api = frameElement.api, W = api.opener;
        function ondb(path,Id, image, Name, url,urlid) {
            if (path == "1") {
                W.DianCMS_$("txtUrlId").value = Id;
                W.DianCMS_$("txtName").value = Name;
                W.DianCMS_$("txtUrl").value = url;
                W.DianCMS_$("txtImages").value = image;
                W.DianCMS_$("txtLinkText").value = Name;
            }
            else {
                W.DianCMS_$("txtUrlId2").value = Id;
                W.DianCMS_$("txtName2").value = Name;
                W.DianCMS_$("txtUrl2").value = url;
                W.DianCMS_$("txtLinkText2").value = Name;
            }
            frameElement.api.close();
        }

        $(function () {
            //获取要定位元素距离浏览器顶部的距离
            var navH = $(".dhsearch").offset().top;
            //滚动条事件
            $(window).scroll(function () {
                //获取滚动条的滑动距离
                var scroH = $(this).scrollTop();
                //滚动条的滑动距离大于等于定位元素距离浏览器顶部的距离，就固定，反之就不固定background: url(tel.png) repeat-x 0px bottom;
                //alert(navH+"--"+scroH);
                if (scroH >= navH) {
                    $(".dhsearch").css({ "position": "fixed", "left": "4px", "top": "-3px" });
                }
                else {
                    $(".dhsearch").css({ "position": "static", "border-bottom": "" });
                }
            })
        })

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <table class="dh" cellpadding="0" cellspacing="0" border="0" align="center">
        <tr>
            <td>
                <asp:Image ID="P_Go" runat="server" ImageAlign="AbsMiddle" />
                您现在的位置：<a href="../info.aspx">后台管理</a> >> 后台导航布局 >> 功能URL
            </td>
        </tr>
    </table>
    <table class="dh dhsearch" cellpadding="0" cellspacing="0" border="0" align="center">
        <tr>
            <td height="30"><span style="float:left;height:20px;line-height:20px;padding-left:10px">功能名称：</span><asp:TextBox ID="txtName" runat="server" CssClass="in1" style="float:left"></asp:TextBox><asp:Button
                ID="Button1" runat="server" Text="立即查询" CssClass="btn" 
                    onclick="Button1_Click" style="float:left"/></td>
        </tr>
    </table>
    <table align="center" cellpadding="2" cellspacing="1" width="99%" class="border">
        <tr class="title">
            <td width="100" class="t1">
                编号
            </td>
            <td>
                图片标识
            </td>
            <td>
                功能名称
            </td>
            <td>
                链接地址
            </td>
            <td>
                选择
            </td>
        </tr>
        <asp:Repeater ID="Repeater1" runat="server">
            <ItemTemplate>
                <tr class="tdMoveTr" onmouseover="this.className='tdMoveTrBg'" onmouseout="this.className='tdMoveTr'">
                    <td class="t1"><%#Eval("Id") %></td>
                    <td><img src=../<%#Eval("image") %> /></td>
                    <td><%#Eval("Name") %></td>
                    <td><%#Eval("url") %></td>
                    <td><a href="javascript:" onclick="ondb('<%=Type %>','<%#Eval("Id") %>','<%#Eval("image") %>','<%#Eval("Name") %>','<%#Eval("url") %>')">选择</a></td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </table>
    </form>
</body>
</html>
